#!/bin/bash


# 获取当前用户名
current_user=$(whoami)

# 定义要替换的字符串
old_user="User="

# 替换为当前用户名
new_user="User=$current_user"

# 检查aiplayer.service文件是否存在
service_file="./aiplayer.service"
if [ -f "$service_file" ]; then
    # 使用sed命令进行替换
    sed -i "s/$old_user.*/$new_user/g" "$service_file"
    echo "已将 $old_user 替换为 $new_user"
else
    echo "x.service 文件不存在，请检查路径是否正确。"
fi
